package com.hw.qms.mapper;


import com.hw.qms.domain.MesBaseBarcodeInfo;

import java.util.List;

/**
 * 条码信息Mapper接口
 *
 * @author xs
 * @date 2023-12-20
 */
public interface MesBaseBarcodeInfoMapper
{
    /**
     * 查询条码信息
     *
     * @param barcodeInfo 条码信息UI
     * @return 条码信息
     */
    public MesBaseBarcodeInfo selectMesBaseBarcodeInfoByBarcodeInfo(String barcodeInfo);


    /**
     * 查询条码信息
     *
     * @param barcodeId 条码信息主键
     * @return 条码信息
     */
    public MesBaseBarcodeInfo selectMesBaseBarcodeInfoByBarcodeId(Long barcodeId);

    /**
     * 查询条码信息列表
     *
     * @param mesBaseBarcodeInfo 条码信息
     * @return 条码信息集合
     */
    public List<MesBaseBarcodeInfo> selectMesBaseBarcodeInfoList(MesBaseBarcodeInfo mesBaseBarcodeInfo);

    /**
     * 新增条码信息
     *
     * @param mesBaseBarcodeInfo 条码信息
     * @return 结果
     */
    public int insertMesBaseBarcodeInfo(MesBaseBarcodeInfo mesBaseBarcodeInfo);

    /**
     * 修改条码信息
     *
     * @param mesBaseBarcodeInfo 条码信息
     * @return 结果
     */
    public int updateMesBaseBarcodeInfo(MesBaseBarcodeInfo mesBaseBarcodeInfo);

    /**
     * 删除条码信息
     *
     * @param barcodeId 条码信息主键
     * @return 结果
     */
    public int deleteMesBaseBarcodeInfoByBarcodeId(Long barcodeId);

    /**
     * 批量删除条码信息
     *
     * @param barcodeIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteMesBaseBarcodeInfoByBarcodeIds(Long[] barcodeIds);

    /**
     * 根据批次码获取批次数量
     *
     * @param batchCode 批次码
     * @return 结果
     */
    public int selectBarcodeInfoCountByBatchcode(String batchCode);

}
